package extractor

import (
	"context"
	"io"
)

type OpenPageOptions struct {
	Referer string
}

type Browser interface {
	io.Closer

	Open(ctx context.Context, url string, opts OpenPageOptions) (Document, error)
}
